Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
operation-routes
List Operation Routes
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/operation-routes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019c96a0-1071-7a0d-9916-a831221de252",
      "organizationId": "019c96a0-0a98-7287-9a31-786e0809c769",
      "ledgerId": "019c96a0-0ac0-7de9-9f53-9cf842a2ee5a",
      "account": {
        "ruleType": "alias",
        "validIf": [
          "@external/BRL"
        ]
      },
      "code": "PIX-DEBIT",
      "description": "PIX External Account Debit",
      "operationType": "source",
      "title": "PIX External Account Debit",
      "metadata": {
        "customField1": "value1",
        "customField2": 123
      },
      "createdAt": "2026-02-25T21:06:38.321656Z",
      "deletedAt": null,
      "updatedAt": "2026-02-25T21:06:38.321656Z"
    }
  ],
  "next_cursor": "eyJpZCI6IjAxOWM5NmEwLTEwNzEtN2EwZC05OTE2LWE4MzEyMjFkZTI1MiIsInBvaW50c19uZXh0Ijp0cnVlfQ==",
  "prev_cursor": "eyJpZCI6IjAxOWM5NmEwLTEwNzEtN2EwZC05OTE2LWE4MzEyMjFkZTI1MiIsInBvaW50c19uZXh0IjpmYWxzZX0=",
  "limit": 10
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

Path Parameters

organization_id
string
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
required

The unique identifier of the associated Ledger.

Query Parameters

limit
string

The maximum number of items to include in the response.

start_date
string

The beginning of the period you want to retrieve. You must also include the end_date.

end_date
string

The end of the period you want to retrieve. You must also include the start_date.

sort_order
enum<enum>

The order used to sort the results.

Available options:
asc,
desc
cursor
string

An encoded cursor token from a previous response (next_cursor or prev_cursor) to navigate forward or backward through results.

metadata.key
string

Filter by metadata using dot-notation. Replace key with your metadata field name (e.g. metadata.costCenter=BR_11101997).

Response

Indicates that the resource was successfully created and the operation was completed as expected.

items
object[]
next_cursor
string

Encoded cursor pointing to the next page of results.

prev_cursor
string

Encoded cursor pointing to the previous page of results.

limit
integer

The maximum number of items included in the response.